.products-list .product--list .product__name {
  flex-grow: 0;
}
@media (min-width: 768px) {
  .header__action .locale-selector:first-child {
    margin-left: 0.25rem;
    margin-right: 0;
  }
}
.locale-selector:first-child {
  margin-right: 0;
}
.cart-summary__info--line-total {
  white-space: nowrap;
}
.floating-bar {
  background-color: #fff;
  border: 1px solid #e9ecef;
  bottom: 0;
  display: block;
  height: 4.5rem;
  left: 0;
  margin-left: 0;
  opacity: 1;
  pointer-events: auto;
  position: fixed;
  transform: translateY(0);
  transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
  width: 100%;
  z-index: 1030;
}
.floating-bar__heading {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
.floating-bar__category-name {
  display: none;
}
.floating-bar__quantity .input-group input {
  max-width: 3rem;
  padding: 0.5rem;
}
.floating-bar__quantity .btn {
  padding: 0.5rem;
}
.floating-bar__quantity {
    display: none;    
}
.floating-bar__actions {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  width: 100%;
  max-width: 250px;
}
.floating-bar__actions .btn-primary {
  padding: 0.5rem 0.375rem;
}
.floating-bar__wrapper {
  align-items: center;
  display: flex;
  height: 100%;
  justify-content: space-between;
  margin-left: auto;
  margin-right: auto;
  max-width: 1400px;
  padding: 0 0.5rem;
  width: 100%;
}
.floating-bar__wrapper .btn {
  font-size: 0.75rem;
}
.floating-bar__product-image,
.floating-bar__product-image-wrapper {
  height: 100%;
  width: auto;
}
.floating-bar__product-image-wrapper {
  flex-shrink: 0;
}
.floating-bar__product-image {
  max-width: 5rem;
  -o-object-fit: contain;
  object-fit: contain;
}
.floating-bar__product-price
  > .product-summary__info--price-row
  > :not(.product-summary__info--price-gross),
.floating-bar__product-price
  > .product-summary__info:not(.product-summary__info--price-row) {
  display: none;
}
.floating-bar__product-price .product-summary__info--price-row {
  margin: 0;
}
.floating-bar__product-price .product-summary__info--price-gross {
  font-size: 1rem;
  font-weight: 700;
  margin-right: 1.5rem;
}

.floating-bar__product-price {
  display: none;
}
@media (min-width: 576px) {
  .floating-bar__heading {
    display: -webkit-box;
    font-size: 0.75rem;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    overflow-wrap: anywhere;
  }
  .floating-bar {
    display: none;    
  }
}
@media (min-width: 992px) {
  .floating-bar__heading {
    font-size: 1rem;
  }
  .floating-bar__category-name,
  .floating-bar__product-price {
    display: block;
  }
  .floating-bar__wrapper {
    padding: 0 1rem;
  }
  .floating-bar__actions {
    flex-direction: row;
  }
  .floating-bar__actions .btn-primary {
    padding: 0.5rem 1rem;
  }
}

.floating-bar .btn-primary .icon {
    margin-left: 10px;    
}